CC=gcc

# which interface do you want to use
# however, IDC is not yet working...
INTERFACE=PD_INTERFACE
#INTERFACE=IDC_INTERFACE

# if the kernel is configured for autoloading via kerneld, uncomment this line
AUTOLOADING=-DMODVERSIONS

CFLAGS= -Wall -O2 -I. -m486 -D__KERNEL__ -DKERNEL -D$(INTERFACE) -DMODULE  $(AUTOLOADING)

all:	bdm.o
	cp $^ /lib/modules/`uname -r`/misc


bdm.o:	bdm.c bdm.h

.SUFFIXES: .i .s
.c.i:
	$(CC) -E $(CFLAGS) $< >$@

.c.s:
	$(CC) -S $(CFLAGS) $<


